@use "sass:color";

$header-family: 'Roboto Slab', serif;
$font-family: 'Lato', sans-serif;

$light-shade: #f8f7f6;
$dark-shade: #080a0b;
$dark-accent: #214133;
$main-color: #527063;
$light-accent: #6f897e;

$link-color: $light-accent;

body {
  background-color: $light-shade;
  color: $dark-shade;
  font-family: $font-family;
  font-size: 1.2rem;
  padding-bottom: 60px;
}

h1, h2, h3, h4, h5 {
  color: $dark-accent;
  font-family: $header-family;
  font-weight: 700;
}

.subtitle {
  font-family: $font-family;
}

#header {
  #page-title {
    margin: 1rem 0rem;
    text-align: center;

    #title-heading {
      color: $main-color;
      font-weight: 900;
      font-size: 11vw;
      white-space: nowrap;
      display: inline-block;

      a {
        color: $main-color;
      }

      a:hover {
        text-decoration: none;
      }
    }
  }

  nav {
    background-color: $main-color;
    margin: 0rem 5vw;
    margin-bottom: 2rem;

    border-radius: 3px;
    .navbar-nav {
      flex-direction: row;
      .nav-item {
        padding: 0rem 0.75rem;

        &.active {
          background-color: rgba(255,255,255,0.1);
        }

        .nav-link {
          color: $light-shade;

          &.disabled {
            opacity: 0.5;
          }

        }

        &.dropdown {
          .dropdown-menu {
            position: absolute;

            .dropdown-item:hover {
              background-color: $main-color;
              color: $light-shade;
            }
          }
        }
      }
    }
  }
}

p {
  strong {
    font-weight: bolder;
  }

  .emoji {
    font-weight: bolder;
    writing-mode: vertical-rl;
  }
}

#content {
  a:link, a:visited, a:hover, a:active {
    color: $link-color;
  }

  a:hover {
    opacity: 0.8;
  }
}

.headshot {
  border-radius: 50% !important;
  border: 4px $dark-accent solid;
  width: 300px;
  margin: 0rem;
}

.headshot-container {
  float: right;
  margin: 0rem 0rem 2rem 2rem;
  width: 300px;
}

img.emoji {
  max-height: 1.5rem;
}

.date {
  font-size: 0.9rem;
  font-style: italic;
}

.slack-status-source {
  margin-bottom: 2rem;

  font-size: 0.8rem;

}

// media break for everything in bootstrap md and below
@media (max-width: 767.98px) {
  #page-title {
    padding-left: 0rem !important;
    padding-right: 0rem !important;
    padding-bottom: 0.5rem !important;
    padding-top: 1rem !important;
    margin-bottom: 0rem !important;
  }

  .headshot-container {
    margin: 1rem;
    float: none;
    text-align: center;
    width: 100%;
  }

  h1, h2, h3, h4, h5 {
    text-align: center;
  }

  p {
    text-align: justified;
    text-justify: inter-word;
  }
}
